- name: "Disable autovacuum"
  command: gitlab-psql -tAXc "alter system set autovacuum=off"
  when: operation == "disable"

- name: "Reset autovacuum"
  command: gitlab-psql -tAXc "alter system reset autovacuum"
  when: operation == "enable"

- name: "Reload Postgres config"
  command: gitlab-psql -tAXc "select pg_reload_conf()"

- name: "Loop until autovacuum is the desired state"
  command: gitlab-psql -tAXc "show autovacuum"
  register: show_autovacuum
  until: show_autovacuum.stdout == ('off' if operation == 'disable' else 'on')
  delay: 3
  retries: 20
